t=UTF-8
Last-Modified: Wed, 08 Jan 2025 18:33:00 GMT
Expires: Sat, 06 Jan 2035 18:33:00 GMT

<!DOCTYPE html>
<html lang='en'>
<head>
<title>torxchat.git - Unnamed repository; edit this file 'description' to name the repository.</title>
<meta name='generator' content='cgit 1.4.1'/>
<meta name='robots' content='index, nofollow'/>
<link rel='stylesheet' type='text/css' href='/git-repos/cgit.css'/>
<link rel='alternate' title='Atom feed' href='http://soniex2.autistic.space/git-repos/torxchat.git/atom/src/common/portable.h?h=fe-web' type='application/atom+xml'/>
</head>
<body>
<div id='cgit'><table id='header'>
<tr>
<td class='logo' rowspan='2'><a href='/git-repos/'><img src='/git-repos/cgit.png' alt='cgit logo'/></a></td>
<td class='main'><a href='/git-repos/'>index</a> : <a href='/git-repos/torxchat.git/'>torxchat.git</a></td><td class='form'><form method='get'>
<input type='hidden' name='id' value='46fb6dc007ba5b0628bb1fb7a1c21df0f7046f39'/><select name='h' onchange='this.form.submit();'>
<option value='50f488236f6108bf748948c620aaf38814334a8a'>this commit</option>
<optgroup label='branches'><option value='branch-info'>branch-info</option>
<option value='default'>default</option>
<option value='fe-web' selected='selected'>fe-web</option>
<option value='feature/flexible-cert'>feature/flexible-cert</option>
<option value='feature/fork-branding'>feature/fork-branding</option>
<option value='feature/tls-srp'>feature/tls-srp</option>
<option value='feature/tor-i2p-dcc'>feature/tor-i2p-dcc</option>
<option value='fix-ub'>fix-ub</option>
</optgroup></select> <input type='submit' value='switch'/></form></td></tr>
<tr><td class='sub'>Unnamed repository; edit this file 'description' to name the repository.</td><td class='sub right'>blog</td></tr></table>
<table class='tabs'><tr><td>
<a href='/git-repos/torxchat.git/?h=fe-web'>summary</a> <a href='/git-repos/torxchat.git/refs/?h=fe-web&amp;id=46fb6dc007ba5b0628bb1fb7a1c21df0f7046f39'>refs</a> <a class='active' href='/git-repos/torxchat.git/log/src/common/portable.h?h=fe-web'>log</a> <a href='/git-repos/torxchat.git/tree/src/common/portable.h?h=fe-web&amp;id=46fb6dc007ba5b0628bb1fb7a1c21df0f7046f39'>tree</a> <a href='/git-repos/torxchat.git/commit/src/common/portable.h?h=fe-web&amp;id=46fb6dc007ba5b0628bb1fb7a1c21df0f7046f39'>commit</a> <a href='/git-repos/torxchat.git/diff/src/common/portable.h?h=fe-web&amp;id=46fb6dc007ba5b0628bb1fb7a1c21df0f7046f39'>diff</a> <a href='/git-repos/torxchat.git/stats/src/common/portable.h?h=fe-web'>stats</a></td><td class='form'><form class='right' method='get' action='/git-repos/torxchat.git/log/src/common/portable.h'>
<input type='hidden' name='h' value='fe-web'/><input type='hidden' name='id' value='46fb6dc007ba5b0628bb1fb7a1c21df0f7046f39'/><select name='qt'>
<option value='grep'>log msg</option>
<option value='author'>author</option>
<option value='committer'>committer</option>
<option value='range'>range</option>
</select>
<input class='txt' type='search' size='10' name='q' value=''/>
<input type='submit' value='search'/>
</form>
</td></tr></table>
<div class='path'>path: <a href='/git-repos/torxchat.git/log/?h=fe-web&amp;id=46fb6dc007ba5b0628bb1fb7a1c21df0f7046f39'>root</a>/<a href='/git-repos/torxchat.git/log/src?h=fe-web&amp;id=46fb6dc007ba5b0628bb1fb7a1c21df0f7046f39'>src</a>/<a href='/git-repos/torxchat.git/log/src/common?h=fe-web&amp;id=46fb6dc007ba5b0628bb1fb7a1c21df0f7046f39'>common</a>/<a href='/git-repos/torxchat.git/log/src/common/portable.h?h=fe-web&amp;id=46fb6dc007ba5b0628bb1fb7a1c21df0f7046f39'>portable.h</a></div><div class='content'><table class='list nowrap'><tr class='nohover'><th class='left'>Age</th><th class='left'>Commit message (<a href='/git-repos/torxchat.git/log/src/common/portable.h?h=fe-web&amp;id=46fb6dc007ba5b0628bb1fb7a1c21df0f7046f39&amp;showmsg=1'>Expand</a>)</th><th class='left'>Author</th></tr>
<tr><td><span title='2010-08-18 23:20:18 +0200'>2010-08-18</span></td><td><a href='/git-repos/torxchat.git/commit/src/common/portable.h?h=fe-web&amp;id=ca904e43347e2004514c813aef975118fae1fdfc'>portable mode enabled in runtime</a></td><td>berkeviktor@aol.com</td></tr>
</table><ul class='pager'></ul></div> <!-- class=content -->
<div class='footer'>generated by <a href='https://git.causal.agency/cgit-pink/about/'>cgit-pink 1.4.1</a> (<a href='https://git-scm.com/'>git 2.36.1</a>) at 2025-01-08 18:33:00 +0000</div>
</div> <!-- id=cgit -->
</body>
</html>
='author  Christoph J. Thompson &lt;cjsthompson@gmail.com&gt;  2013-04-16 12:58:33 +0200
committer  Berke Viktor &lt;bviktor@hexchat.org&gt;  2013-04-28 16:48:32 +0200

Install a pkgconfig .pc file. This allows external plugins to find' href='/git-repos/torxchat.git/commit/share/pkgconfig/hexchat-plugin.pc.in?h=feature/tor-i2p-dcc&amp;id=5b8567919d3bf80baced7df9380ccf217331c91d'>5b856791</a></span> <a title='Blame the previous revision' href='/git-repos/torxchat.git/blame/share/pkgconfig/hexchat-plugin.pc.in?h=feature/tor-i2p-dcc&amp;id=77cad8e716e6023e1042c21cb2fe12b3a81f295d'>^</a>








</pre></div></td>
<td class='linenumbers'><div class='alt'><pre><a id='n1' href='#n1'>1</a>
<a id='n2' href='#n2'>2</a>
<a id='n3' href='#n3'>3</a>
<a id='n4' href='#n4'>4</a>
<a id='n5' href='#n5'>5</a>
<a id='n6' href='#n6'>6</a>
<a id='n7' href='#n7'>7</a>
<a id='n8' href='#n8'>8</a>
<a id='n9' href='#n9'>9</a>
</pre></div></td>
<td class='lines'><div><div><div class='alt'><pre>








                                                </pre></div></div><pre><code><style>pre { line-height: 125%; }
td.linenos .normal { color: inherit; background-color: transparent; padding-left: 5px; padding-right: 5px; }
span.linenos { color: inherit; background-color: transparent; padding-left: 5px; padding-right: 5px; }
td.linenos .special { color: #000000; background-color: #ffffc0; padding-left: 5px; padding-right: 5px; }
span.linenos.special { color: #000000; background-color: #ffffc0; padding-left: 5px; padding-right: 5px; }
.highlight .hll { background-color: #ffffcc }
.highlight .c { color: #888888 } /* Comment */
.highlight .err { color: #a61717; background-color: #e3d2d2 } /* Error */
.highlight .k { color: #008800; font-weight: bold } /* Keyword */
.highlight .ch { color: #888888 } /* Comment.Hashbang */
.highlight .cm { color: #888888 } /* Comment.Multiline */
.highlight .cp { color: #cc0000; font-weight: bold } /* Comment.Preproc */
.highlight .cpf { color: #888888 } /* Comment.PreprocFile */
.highlight .c1 { color: #888888 } /* Comment.Single */
.highlight .cs { color: #cc0000; font-weight: bold; background-color: #fff0f0 } /* Comment.Special */
.highlight .gd { color: #000000; background-color: #ffdddd } /* Generic.Deleted */
.highlight .ge { font-style: italic } /* Generic.Emph */
.highlight .ges { font-weight: bold; font-style: italic } /* Generic.EmphStrong */
.highlight .gr { color: #aa0000 } /* Generic.Error */
.highlight .gh { color: #333333 } /* Generic.Heading */
.highlight .gi { color: #000000; background-color: #ddffdd } /* Generic.Inserted */
.highlight .go { color: #888888 } /* Generic.Output */
.highlight .gp { color: #555555 } /* Generic.Prompt */
.highlight .gs { font-weight: bold } /* Generic.Strong */
.highlight .gu { color: #666666 } /* Generic.Subheading */
.highlight .gt { color: #aa0000 } /* Generic.Traceback */
.highlight .kc { color: #008800; font-weight: bold } /* Keyword.Constant */
.highlight .kd { color: #008800; font-weight: bold } /* Keyword.Declaration */
.highlight .kn { color: #008800; font-weight: bold } /* Keyword.Namespace */
.highlight .kp { color: #008800 } /* Keyword.Pseudo */
.highlight .kr { color: #008800; font-weight: bold } /* Keyword.Reserved */
.highlight .kt { color: #888888; font-weight: bold } /* Keyword.Type */
.highlight .m { color: #0000DD; font-weight: bold } /* Literal.Number */
.highlight .s { color: #dd2200; background-color: #fff0f0 } /* Literal.String */
.highlight .na { color: #336699 } /* Name.Attribute */
.highlight .nb { color: #003388 } /* Name.Builtin */
.highlight .nc { color: #bb0066; font-weight: bold } /* Name.Class */
.highlight .no { color: #003366; font-weight: bold } /* Name.Constant */
.highlight .nd { color: #555555 } /* Name.Decorator */
.highlight .ne { color: #bb0066; font-weight: bold } /* Name.Exception */
.highlight .nf { color: #0066bb; font-weight: bold } /* Name.Function */
.highlight .nl { color: #336699; font-style: italic } /* Name.Label */
.highlight .nn { color: #bb0066; font-weight: bold } /* Name.Namespace */
.highlight .py { color: #336699; font-weight: bold } /* Name.Property */
.highlight .nt { color: #bb0066; font-weight: bold } /* Name.Tag */
.highlight .nv { color: #336699 } /* Name.Variable */
.highlight .ow { color: #008800 } /* Operator.Word */
.highlight .w { color: #bbbbbb } /* Text.Whitespace */
.highlight .mb { color: #0000DD; font-weight: bold } /* Literal.Number.Bin */
.highlight .mf { color: #0000DD; font-weight: bold } /* Literal.Number.Float */
.highlight .mh { color: #0000DD; font-weight: bold } /* Literal.Number.Hex */
.highlight .mi { color: #0000DD; font-weight: bold } /* Literal.Number.Integer */
.highlight .mo { color: #0000DD; font-weight: bold } /* Literal.Number.Oct */
.highlight .sa { color: #dd2200; background-color: #fff0f0 } /* Literal.String.Affix */
.highlight .sb { color: #dd2200; background-color: #fff0f0 } /* Literal.String.Backtick */
.highlight .sc { color: #dd2200; background-color: #fff0f0 } /* Literal.String.Char */
.highlight .dl { color: #dd2200; background-color: #fff0f0 } /* Literal.String.Delimiter */
.highlight .sd { color: #dd2200; background-color: #fff0f0 } /* Literal.String.Doc */
.highlight .s2 { color: #dd2200; background-color: #fff0f0 } /* Literal.String.Double */
.highlight .se { color: #0044dd; background-color: #fff0f0 } /* Literal.String.Escape */
.highlight .sh { color: #dd2200; background-color: #fff0f0 } /* Literal.String.Heredoc */
.highlight .si { color: #3333bb; background-color: #fff0f0 } /* Literal.String.Interpol */
.highlight .sx { color: #22bb22; background-color: #f0fff0 } /* Literal.String.Other */
.highlight .sr { color: #008800; background-color: #fff0ff } /* Literal.String.Regex */
.highlight .s1 { color: #dd2200; background-color: #fff0f0 } /* Literal.String.Single */
.highlight .ss { color: #aa6600; background-color: #fff0f0 } /* Literal.String.Symbol */
.highlight .bp { color: #003388 } /* Name.Builtin.Pseudo */
.highlight .fm { color: #0066bb; font-weight: bold } /* Name.Function.Magic */
.highlight .vc { color: #336699 } /* Name.Variable.Class */
.highlight .vg { color: #dd7700 } /* Name.Variable.Global */
.highlight .vi { color: #3333bb } /* Name.Variable.Instance */
.highlight .vm { color: #336699 } /* Name.Variable.Magic */
.highlight .il { color: #0000DD; font-weight: bold } /* Literal.Number.Integer.Long */</style><div class="highlight"><pre><span></span>prefix=@prefix@
exec_prefix=${prefix}
includedir=@includedir@
hexchatlibdir=@hexchatlibdir@

Name: HexChat plugins
Description: Header and path for HexChat plugins
Version: @VERSION@
Cflags: -I${includedir}
</pre></div>
</code></pre></div></td>
</tr>
</table>
</div> <!-- class=content -->
<div class='footer'>generated by <a href='https://git.causal.agency/cgit-pink/about/'>cgit-pink 1.4.1</a> (<a href='https://git-scm.com/'>git 2.36.1</a>) at 2025-01-08 18:33:00 +0000</div>
</div> <!-- id=cgit -->
</body>
</html>
